Bug 466909 - UMS:RS780:HD3200:Dell2408WFP X display wiggles/jitters at 1920x1200
UMS:RS780:HD3200:Dell2408WFP X display wiggles/jitters at 1920x1200
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_IGP700/Mi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 09:43 EDT by James Hubbard
Modified: 2009-11-14 12:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 11:41:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (167.26 KB, text/plain)
2008-10-14 11:32 EDT, James Hubbard
no flags Details
Attached newer Xorg.0.log file from Dec 01 2008 using ati -60 (85.33 KB, text/plain)
2008-12-01 11:34 EST, James Hubbard
no flags Details

  None (edit)
Description James Hubbard 2008-10-14 09:43:07 EDT
Description of problem:
When using the LiveCD or after installation, the video of my display wiggles or is jittery at 1920x1200.  I can lower the resolution and it fixes it.  When I logout the gdm screen is still at 1920x1200 and continues to have the problem. 

Version-Release number of selected component (if applicable):


How reproducible:
All of the time. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Hardware Profile
http://www.smolts.org/client/show/pub_40f59bc4-1c21-470b-88bc-1aeefda634b4
Monitor Dell 2408WFP
Comment 1 Hans Ulrich Niedermann 2008-10-14 11:05:44 EDT
The LiveCD and standard installs come with xorg-x11-drv-ati and the radeon driver, not xorg-x11-drv-radeonhd and the radeonhd driver.

Are you sure this is correctly filed against -radeonhd? If not, please reassign the bug to -ati.
Comment 2 James Hubbard 2008-10-14 11:32:19 EDT
Created attachment 320312 [details]
Xorg log file

Log file for X.
Comment 3 James Hubbard 2008-10-14 11:34:26 EDT
Changed from radeonhd to ati.  I don't see a listing for xorg-x11-drv-radeon.  It's not even completely obvious to me which driver it really is using since it's no longer displayed in the area where changes are made to resolution.   

I added the log file since it didn't get uploaded when I created the bug.
Comment 4 Matěj Cepl 2008-10-15 03:42:06 EDT
Yes, xorg-x11-drv-ati is the correct component, as you could find out (pro futuro) using command

rpm -qf --qf="%{SOURCERPM}\n" /usr/lib/xorg/modules/drivers/radeon_drv.so

(or rpm -qif /usr/lib/xorg/modules/drivers/radeon_drv.so but that's less obvious)
Comment 5 James Hubbard 2008-11-02 01:13:39 EST
If this problem isn't going to be fixed by the time that F10 ships, I recommend that the 1920x1200 resolution be disabled so that the user won't have a bad experience.  It's not obvious that the user should reduce their resolution to 1600x1200.  

With the option nomodeset, the wiggle/jitter problem isn't as bad.  Whenever I attempt to set the resolution for 1920x1200 with it enabled, the display will blank out.  

The current version of the driver installed: xorg-x11-drv-ati-6.9.0-38.fc10.x86_64
Comment 6 Bug Zapper 2008-11-25 22:51:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jóhann B. Guðmundsson 2008-12-01 07:09:16 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 8 James Hubbard 2008-12-01 11:31:47 EST
I retested with kernel 132 and ati -60.  This did not resolve the issue. 

uname -a 
Linux localhost.localdomain 2.6.27.7-132.fc10.x86_64 #1 SMP

I'll add an updated Xorg log file.
Comment 9 James Hubbard 2008-12-01 11:34:23 EST
Created attachment 325252 [details]
Attached newer Xorg.0.log file from Dec 01 2008 using ati -60

Added a newer version of the Xorg.0.log file. This is with kernel -132 and ati -60.
Comment 10 James Hubbard 2008-12-02 16:32:08 EST
I got a needinfo request but nothing was specified, unless I missed it somewhere.
Comment 11 Matěj Cepl 2008-12-04 19:07:55 EST
(In reply to comment #10)
> I got a needinfo request but nothing was specified, unless I missed it
> somewhere.

Yeah, sorry, that's just silly bug in bugzilla, which doesn't remove NEEDINFO flag when only attachment is attached.
Comment 12 James Hubbard 2009-02-08 12:26:27 EST
Video problems have gotten worse with this release.  I can't even use X with this version. 

xorg-x11-drv-ati-6.10.0-1.fc10.x86_64
2.6.27.12-170.2.5.fc10.x86_64

I've also noticed that in the past when I would leave it at runlevel 5 that the machine would lock up after a couple of days.  Since I've got it in runlevel 3 and don't run X anymore, it doesn't lock up.
Comment 13 Vedran Miletić 2009-10-08 16:07:30 EDT
How about Fedora 11 or Rawhide?
Comment 14 James Hubbard 2009-10-09 15:36:17 EDT
Same problem as described before. The screen flickers and blanks in/out. I was finally able to change the resolution to 1600x1200.

I pulled down the nightly labeled desktop-i386-20091007.16 and used unetbootin to create a usb key.  This is my boot line for grub: 
initrd=/ubninit root=live:CDLABEL=LIVE rootfstype=auto ro liveimg quiet  
rhgb vga=791 nomodeset
Comment 15 Matěj Cepl 2009-11-05 12:12:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Jóhann B. Guðmundsson 2009-11-05 12:26:50 EST
You can get the latest rawhide live cd media for F12 here http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/ Burn it then test if the issue you are experiencing is fixed in Fedora 12 the upcoming release.. .
Comment 17 Jérôme Glisse 2009-11-12 10:22:35 EST
James do you have issue with fedora 12 and KMS activated ? If you don't have anyissue why did you disabled KMS ? We are focussing on fixing KMS issue.
Comment 18 James Hubbard 2009-11-12 10:28:53 EST
I've not tested on this system, yet.  I've got the 2009-11-11 nightly downloaded.  I'll probably be testing later this afternoon/evening.  The system that I'm using this on has an ATI HD3200 IGP.  Don't confuse this bug report with the RS690 bug reports that I've been recently posting.
Comment 19 James Hubbard 2009-11-12 11:22:26 EST
Using the 2009-11-11 nightly, I did not get the screen flickering at 1920x1200.  It now seems to be fixed.  

Updated the machine profile:
http://www.smolts.org/client/show/pub_99fb87ba-2a53-4257-8bec-b86063fad41f
Comment 20 Vedran Miletić 2009-11-12 11:41:08 EST
Thanks for reporting back.

Note You need to log in before you can comment on or make changes to this bug.